CREATE PROCEDURE spGetVisitorOSs
	@start_date datetime,
	@end_date datetime
AS
BEGIN
	select visitor_os, count(*) 
	from tblvisitor
	WHERE datediff(d, visitor_date, @start_date) <=0
	AND datediff(d, visitor_date, @end_date) >=0
	group by visitor_os
	order by count(*) desc
END